summaryrefslogtreecommitdiff
path: root/dev-python/jsonpointer
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-10 21:31:15 -0500
committerCrucible <crucible@localhost>2026-10-10 21:31:15 -0500
commit170dbd8dd96efb51132a4957c7c58a21422297b8 (patch)
tree0fa8f38e5bafbb99366a3d381aef10a2e9e3aac5 /dev-python/jsonpointer
parent1c95b7fb4baf8a490bb24816f3c3c437bcaa3209 (diff)
downloadsrcux-170dbd8dd96efb51132a4957c7c58a21422297b8.tar.gz
srcux-170dbd8dd96efb51132a4957c7c58a21422297b8.tar.xz
srcux-170dbd8dd96efb51132a4957c7c58a21422297b8.zip
Publish srcux candidate 0000000631-20261010-212918HEADdevelop
Diffstat (limited to 'dev-python/jsonpointer')
-rw-r--r--dev-python/jsonpointer/Manifest2
-rw-r--r--dev-python/jsonpointer/jsonpointer-3.2.1.ebuild24
2 files changed, 26 insertions, 0 deletions
diff --git a/dev-python/jsonpointer/Manifest b/dev-python/jsonpointer/Manifest
index eec792554c04..12617515842a 100644
--- a/dev-python/jsonpointer/Manifest
+++ b/dev-python/jsonpointer/Manifest
@@ -1,3 +1,5 @@
DIST jsonpointer-3.1.1.tar.gz 9068 BLAKE2B 0fefab0619124600f3b870802653cf0afbbed36c18477a36e5c070a388d5f5d5290a24e97252859ac8c8f0624fea40ea94c0374a38f341b2aaf61b02c8dbe505 SHA512 9f932985ac404ab21d1e2c29b95bdc684a3d258dc2203bdb6c0192ccf6ba804809d297a0701f7d4fc32adb481f259e1c17e7bd7bf0198e76f19b4481b78056c5
DIST jsonpointer-3.2.0.tar.gz 11062 BLAKE2B cb39d9a8546f36f669d2ed17993552933c3393d7cf55489309c4346d6ba99c879bdd46a181429e7d61e409062b8c783628a1cd5d792fdae22a49fc0ea6076ea3 SHA512 b07a52c387f12e93285d86889de0b887b144ff91f700d53cd0e43bd7cbdb9c86d2c9cc732d982ff9460b449214231ed1ded2ab52bc184accd7f3a444f95cd875
DIST jsonpointer-3.2.0.tar.gz.provenance 10199 BLAKE2B 5d45c514c6aa8a28c2a9446fd423df7db733f5ffbfd274156ffb2a24d5aab108e8addbcb20a712bb870839b57f1863322dbb1531d3dc4c1e8887a113dff782b6 SHA512 7915c8aed80eb15a155e4e58c2b9b2fb74640d8d3e9bb3e56186c7e8d3dfbb5a32b5abc959fe1e53b8e3bc959365839cfa9de13c33320c3a6d2b8bf6729a0b5c
+DIST jsonpointer-3.2.1.tar.gz 11309 BLAKE2B f9ceb4585302147612ead295887370be942031541af80b42518e7cffc57b49e4efe29a97abe42df225ecb5ac5809fd8b3334f8478fc38895d7fd3a3ac442c240 SHA512 bfe4609bceba035020b2f50cb6472b892a144e7c5c3dfd29ccf80d81ef711cfdce78d161d4907598c78a8bd475b207b9478c103745c435217d5bd8e298738a2f
+DIST jsonpointer-3.2.1.tar.gz.provenance 10152 BLAKE2B 24bba7913585705f381cc46982d2d2ee8069f91c7d8572b6bb612d226e451cf5a24d7046e8993ec3d4453e6719eae3c8c20285dca563ec69d40c6a1980eedb23 SHA512 76bde2061833aee5fa4ccf68d16eb8f5d8ff35adf5f33c26222e71fa3be91a20a12a567c31a30dd696c0212b00e0570c188c52255d6cc57787b4f636359d071e
diff --git a/dev-python/jsonpointer/jsonpointer-3.2.1.ebuild b/dev-python/jsonpointer/jsonpointer-3.2.1.ebuild
new file mode 100644
index 000000000000..5091242d54b8
--- /dev/null
+++ b/dev-python/jsonpointer/jsonpointer-3.2.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/stefankoegl/python-json-pointer
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Identify specific nodes in a JSON document (according to draft 08)"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-pointer/
+ https://pypi.org/project/jsonpointer/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}